org.apache.pdfbox.preflight.process

## Class PageTreeValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.PageTreeValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class PageTreeValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`PageTreeValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(PreflightContext context)`
`protected void` `validatePage(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageTreeValidationProcess

    public PageTreeValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Throws:
  `ValidationException`

#### validatePage

    protected void validatePage(PreflightContext context,
                                org.apache.pdfbox.pdmodel.PDPage page)
                         throws ValidationException

Throws:
  `ValidationException`